Summary: A program that ejects removable media using software control.
Name: eject
Version: 2.0.13
Release: 1m
License: GPL
Group: System Environment/Base
Source: http://www.ibiblio.org/pub/Linux/utils/disk-management/%{name}-%{version}.tar.gz
Patch0: eject-2.0.12-autoclose.patch
URL: http://eject.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl
NoSource: 0

%description
The eject program allows the user to eject removable media (typically
CD-ROMs, floppy disks or Iomega Jaz or Zip disks) using software
control. Eject can also control some multi-disk CD changers and even
some devices' auto-eject features.

Install eject if you'd like to eject removable media using software
control.

%prep
%setup -q

%patch0 -b .autoclose~
mv po/fr_FR.po po/fr.po
mv po/ja_JP.eucJP.po po/ja.po
mv po/zh_TW.Big5.po po/zh_TW.po
perl -p -i -e "s|charset=CHARSET|charset=BIG-5|g" po/zh_TW.po
perl -p -i -e "s|charset=CHARSET|charset=ISO-8859-1|g" po/fr.po
perl -p -i -e "s|charset=CHARSET|charset=ISO-8859-1|g" po/de_DE.po
perl -p -i -e "s|Encoding: ENCODING|Encoding: 8bit|" po/de_DE.po

%build
%configure
make RPM_OPT_FLAGS="%{optflags}"

%install
make DESTDIR=%{buildroot} PREFIX=%{buildroot}/usr install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README NEWS PORTING PROBLEMS TODO COPYING ChangeLog
/usr/bin/*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*

%ChangeLog
* Mon Dec 23 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.0.13-1m)
- update to 2.0.13
- import autoclose patch from redhat-8.0(eject-2.0.12-7)

* Tue Dec 04 2001 Motonobu Ichimura <famao@kondara.org>
- (2.0.12-4k)
- correct charset

* Sun Oct 28 2001 Toru Hoshina <t@kondara.org>
- (2.0.12-2k)
- version up.

* Sun Jun  3 2001 Toru Hoshina <toru@df-usa.com>
- 2.0.9.

* Wed May 23 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- Up to 2.0.8
- From this version, eject can set CD-ROM max speed

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Thu Apr 06 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (2.0.2-4).

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- gzip man page.

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- solved a lot of problems by finding eject 2.0.2. :)

* Tue Feb 09 1999 Preston Brown <pbrown@redhat.com>
- patch to improve symlink handling folded into linux-2.2 patch

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jul 15 1998 Donnie Barnes <djb@redhat.com>
- added small patch to 1.5 for longer device names

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 1.5
- various spec file clean ups
- eject rocks!

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
